describe("call fake test", function () {
	var sut;
	beforeEach(function () {
		sut = new window.MyTest();
		spyOn(sut, "getBar").and.callFake(function() {
			return 1001;
		});
	});
	it("should return 1001", function () {
		expect(sut.getBar()).toBe(1001);
	})
});
describe("create spy then force a call", function () {
	var sut,
	fetchedBar;
	beforeEach(function () {
		sut = new window.MyTest();
		spyOn(sut, "getBar").and.callFake(function() {
			return 1001;
		});
		sut.setBar(123);
		fetchedBar = sut.getBar();
	});
	
	it("tracks that the spy was called", function () {
		expect(sut.getBar).toHaveBeenCalled();
	})	
	
	it("should return 1001", function () {
		expect(sut.getBar()).toBe(1001);
	})
});